*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}
html{
    scroll-behavior: smooth;
}
#banner{
    background: linear-gradient(rgba(0,0,0,0.5), #a3e974), url(images/bg1.jpg);
    background-size: cover;
    background-position: center;
    height: 100vh;
}

.logo{
    width: 140px;
    position: absolute;
    top: 4%;
    left: 10%;

}
.banner-text{
    text-align: center;
    color: black;
    padding-top: 180px;

}
.banner-text h1{
    font-size: 130px;
    font-family: 'Kaushan Script', cursive;

}

.banner-text p{
    font-size: 20px;
    font-weight: bold;
    font-style: italic;

}
/* ------------------------------------- */
.wave{
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 40px;
}
.loader{
    height: 70px;
    display: flex;
    align-items: center;
}
.loader .stroke{
    display: block;
    position: relative;
    background: black;
    height: 100%;
    width: 10px;
    border-radius: 50px;
    margin: 0 5px;
    animation: animate 1.2s linear infinite;
}

@keyframes animate{
    50%{
        height: 20%;
    }
    100%{
        height: 100%;
    }
}
.stroke:nth-child(1){
    animation-delay: 0s;
}
.stroke:nth-child(2){
    animation-delay: 0.3s;
}
.stroke:nth-child(3){
    animation-delay: 0.6s;
}
.stroke:nth-child(4){
    animation-delay: 0.9s;
}
.stroke:nth-child(5){
    animation-delay: 1.2s;
}





/* -------------------------------------- */
.banner-btn{
    margin: 50px auto 0;
    
}
.banner-btn a{
    width: 150px;
    text-decoration: none;
    font-weight: bold;
    display: inline-block;
    margin: 0 10px;
    padding: 12px 0;
    color: black;
    border: 0.5px solid black;
    position: relative;
    z-index: 1;
    transition: color 0.5s;
}
.banner-btn a span{
    width: 0%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: #fff;
    z-index: -1;
    transition: 0.5s;
}
.banner-btn a:hover span{
    width: 100%;

}
.banner-btn a:hover{
    color: black;

}
#sidenav{
    width: 250px;
    height: 100vh;
    position: fixed;
    right: -250px;
    top: 0;
    background: #a3e974;
    z-index: 2;
    transition: 0.5s;
}
nav ul li{
    list-style: none;
    margin: 50px 20px;

}
nav ul li a{
    text-decoration: none;
    color: black;
}
#menuBtn{
    width: 50px;
    height: 50px;
    background: #a3e974;
    text-align: center;
    position: fixed;
    top: 20px;
    right: 30px;
    border-radius: 3px;
    z-index: 3;
    cursor: pointer;
}
#menuBtn img{
    width: 20px;
    margin-top: 15px;
    
}

@media screen and (max-width: 770px){
    .banner-text h1{
        font-size: 44px;
    }
    .banner-btn a{
        display: block;
        margin: 20px auto;

    }

}

/*-------Features-------  */

#feature{
   width: 100%;
   padding: 70px 0;
}
.title-text{
    text-align: center;
    padding-bottom: 70px;
}
.title-text p{
    margin: auto;
    font-size: 20px;
    color: #a3e974;
    font-weight: bold;
    position: relative;
    z-index: 1;
    display: inline-block;
}
.title-text p::after{
    content: '';
    width: 50px;
    height: 35px;
    background: linear-gradient(#a3e974, #fff);
    position: absolute;
    top: -20px;
    left: 0;
    z-index: -1;
    transform: rotate(10deg);
    border-top-left-radius: 35px;
    border-bottom-right-radius: 35px;
}
.title-text h1{
    font-size: 50px;
    font-weight: 800;
}
.feature-box{
    width: 80%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    text-align: center;
}
.features{
    flex-basis: 50%;
}
.features-img{
    flex-basis: 50%;
    margin: auto;
    
}
.musicnoot{
    background: url(images/mplay.png);
    background-size: cover;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50vh;
    margin-left: 60px;
    width: 100%
}
.noots{
    display: block;
    margin: auto;
    position: relative;
    width: 50%;
    min-width: 300px;
    height: 200px;
    border: 0px solid black;
}
.noot-1, .noot-2, .noot-3, .noot-4{
    position: absolute;
    animation: notes 2s infinite linear;
    font-size: 35px;
    opacity: 0;
}
.noot-1{
    top: 60px;
    left: 0;
    animation-delay: 0.5s;
}
.noot-2{
    top: 30px;
    left: 30%;
    animation-delay: 1s;
}
.noot-3{
    top: 90px;
    left: 60%;
    animation-delay: 1.5s;
}
.noot-4{
    top: 40px;
    left: 90%;
    animation-delay: 2s;
}

@keyframes notes{
    0%{
        transform: scale(1) translate(0,0);
        opacity: 0;
    }
    50%{
        opacity: 1;
        transform: scale(1.5) translate(50%,-50%);
    }
    80%{
        opacity: 0;
        transform: scale(1.5) translate(100%,-100%);
    }
    100%{
        opacity: 0;
        transform: scale(1.5) translate(100%,-100%);
    }
}

.features h1{
    text-align: left;
    margin-bottom: 10px;
    font-weight: 100;
    color: #a3e974;
}
.features-desc {
    display: flex;
    align-items: center;
    margin-bottom: 40px;
}
.features-icon .fa{
    width: 50px;
    height: 50px;
    font-size: 30px;
    line-height: 50px;
    border-radius: 8px;
    color: #a3e974;
    border: 1px solid #a3e974;
}
.features-text p{
    padding: 0 20px;
    text-align: initial;

}

@media screen and (max-width: 770px){
    .title-text h1{
        font-size: 35px;
    }
    .features{
        flex-basis: 100%;
    }
    .features-img{
        flex-basis: 100%;
    }
    .features-img img{
        width: 100%;
    }
}

/* ---------Service--------------- */

#service{
    width: 100%;
    padding: 70px 0;
    background: #efefef;
}
.service-box{
    width: 80%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin: auto;
}
.single-service{
    flex-basis: 23%;
    text-align: center;
    border-radius: 7px;
    margin-bottom: 20px;
    color: white;
    position: relative;
}

.single-service img{
    width: 100%;
    border-radius: 7px;
}
.overlay{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    border-radius: 7px;
    cursor: pointer;
    background: linear-gradient(rgba(0,0,0,0.5), #a3e974);
    opacity: 0;
    transition: 1s;
}
.single-service:hover .overlay{
      opacity: 1;
}
.service-desc{
    width: 90%;
    height: 20%;
    position: absolute;
    bottom: 0;
    left: 50%;    ;
    transform: translateX(-50%);
    opacity: 0;
    transition: 1s;

}
hr{
    background: white;
    height: 2px;
    border: 0;
    margin: 15px auto;
    width: 60%;
}
.service-desc p{
    font-size: 15px;
}
.single-service:hover .service-desc{
    bottom: 60%;
    opacity: 1;
}
#musicIcon{
    width: 80px;
    cursor: pointer;
    
}
#musicIcon2{
    width: 80px;
    cursor: pointer;
    
}
#musicIcon3{
    width: 80px;
    cursor: pointer;
    
}
#musicIcon4{
    width: 80px;
    cursor: pointer;
    
}
@media screen and (max-width:770px){
    .single-service{
        flex-basis: 100%;
        margin-bottom: 30px;
    }
    .service-desc p{
        font-size: 12px;
    }
    hr{
        margin: 5px auto;
    }
    .single-service:hover .service-desc{
        bottom: 25% !important;
    }
}

/* ----------Testimonials------------------- */

#testimonial{
    width: 100%;
    padding: 70px 0;
}
.testimonial-row{
    width: 80%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;

}
.testimonial-col{
    flex-basis: 28%;
     padding: 10px;
    margin-bottom: 30px;
    border-radius: 5px;
    box-shadow: 0 10px 20px 3px #00968814;
    cursor: pointer;
    transition: transform 0.5s;

}
.testimonial-col p{
    font-size: 14px;
}
.user{
    display: flex;
    align-items: center;
    margin: 20px 0;
}
.user img{
    width: 25%;
    margin-right: 20px;
    border-radius: 3px;
}
.user-info .fa{
    margin-left: 10px;
    color: #27c0ff;
    font-size: 20px;
}
.user-info small{
    color: #009688;
}
.testimonial-col:hover{
    transform: translateY(-7px);
}
@media screen and (max-width:770px){
    .testimonial-col{
        flex-basis: 100%;
    }
}

/* ---------Footer-------------- */

#footer{
    padding: 100px 0 20px;
    background: #efefef;
    position: relative;
}
.footer-row{
    width: 80%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.footer-left, .footer-right{
    flex-basis: 45%;
    padding: 10px;
    margin-bottom: 20px;
}
.footer-right{
    text-align: right;

}
.footer-row h1{
    margin: 10px 0;
}
.footer-row p{
    line-height: 35px;
}
.footer-left .fa, .footer-right .fa{
    font-size: 20px;
    color: #a3e974;
    margin: 10px;
}
.footer-img{
    max-width: 370px;
    opacity: 0.1;
    position: absolute;
    left: 50%;
    top: 35%;
    transform: translate(-50%,-50%);

}
.social-link{
    text-align: center;
}
.social-link .fa{
    height: 40px;
    width: 40px;
    font-size: 20px;
    line-height: 40px;
    border: 1px solid #a3e974;
    margin: 40px 5px 0;
    color: #a3e974;
    cursor: pointer;
    transition: 0.5s;

}
.social-link .fa:hover{
    background: #a3e974;
    color: black;
    transform: translateY(-7px);

}
.social-link p{
    font-size: 12px;
    margin-top: 20px;
}
.social-link span{
    color: rgba(255, 0, 0, 0.76);
    font-size: 20px;
    height: 2rem;
    width: 2rem;
}

@media screen and (max-width:770px){
    .footer-left, .footer-right{
        flex-basis: 100%;
        font-size: 14px;
    }
    .footer-img{
        top: 25%;
        
    }
}